## <Intro />

Constructor

#### # <Intro />

The Intro screen displayed to unauthenticated users. Contains necessary methods to facilitate login and navigation to the Registration screens.

View Source src/components/Auth/Intro.tsx, line 25

# Members

Type: boolean

#### # inner constant errorState

React state holding the error state of the component.

View Source src/components/Auth/Intro.tsx, line 36

Type: string

#### # inner constant loginMessageState

React state holding the login result message to display to the user.

View Source src/components/Auth/Intro.tsx, line 30

# Methods

#### # inner goToRegistration()

Navigates to RegisterMain.

View Source src/components/Auth/Intro.tsx, line 87

#### # async inner login()

Function that initiates the login flow. It opens up with the in app browser and sends an authorization request to the API, which redirects the user to the backend login page. If the credentials entered are valid, the OAuth Authorization Code flow will occur, which results in the user recieving an access token and refresh token which are then stored in AuthStore.

View Source src/components/Auth/Intro.tsx, line 45

#### # async inner openPrivacyPolicy()

Opens up the privacy policy page.

View Source src/components/Auth/Intro.tsx, line 93